# BufferArray | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- BufferArray

## Index

### Properties

- _value

### Accessors

- value

### Methods

- appendByte
- appendHexString
- concatBuffer
- push

## Properties

### _value

_value: Buffer[] = []

- Defined in packages/transactions/src/utils.ts:13

## Accessors

### value

- get value(): Buffer[]

- - Defined in packages/transactions/src/utils.ts:14

  #### Returns Buffer[]

## Methods

### appendByte

- appendByte(octet: number): void

- - Defined in packages/transactions/src/utils.ts:24

  #### Parameters

  - ##### octet: number

  #### Returns void

### appendHexString

- appendHexString(hexString: string): void

- - Defined in packages/transactions/src/utils.ts:17

  #### Parameters

  - ##### hexString: string

  #### Returns void

### concatBuffer

- concatBuffer(): Buffer

- - Defined in packages/transactions/src/utils.ts:31

  #### Returns Buffer

### push

- push(buffer: Buffer): number

- - Defined in packages/transactions/src/utils.ts:21

  #### Parameters

  - ##### buffer: Buffer

  #### Returns number

Generated using TypeDoc